org.apache.ignite.internal.util.portscanner

## Class GridJmxPortFinder

- java.lang.Object
- - org.apache.ignite.internal.util.portscanner.GridJmxPortFinder

    public class GridJmxPortFinder
    extends Object

Ignite port scanner.

### Field Summary

Fields
`static String` `IGNITE_JMX_PORT` Environment variable for overriding JMX port.

### Method Summary

Methods
`static void` `main(String[] args)` Makes a search of available port.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNITE_JMX_PORT

    public static final String IGNITE_JMX_PORT

Environment variable for overriding JMX port.

See Also:
  Constant Field Values

### Method Detail

#### main

    public static void main(String[] args)

Makes a search of available port. Start port is taken from temp file, it is then replaced with newly found port.

Parameters:
  `args` - Program arguments.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015